APIPersonal data

Replace a public share

PUT
/api/v1/shares/{id}

Authorization

bearerAuth shares.write
headerAuthorizationBearer <API key or OAuth 2.1 access token>

Send Authorization: Bearer <credential>. Create API keys in AirTrail Security settings. OAuth clients use authorization code with PKCE S256 and a resource identifier matching /api/v1.

Scope: shares.write

Path Parameters

id*integer

Resource ID.

Range1 <= value

Request Body

application/json
  1. body
slug?|

Public URL slug. Generated when omitted.

Match^[a-zA-Z0-9_-]+$
Length1 <= length <= 50
expiresAt?|
Formatdate-time
showMap?boolean
showStats?boolean
showFlightList?boolean
dateFrom?string|null
dateTo?string|null
showFlightNumbers?boolean
showAirlines?boolean
showAircraft?boolean
showTimes?boolean
showTracks?boolean
showDates?boolean
showSeat?boolean

Response Body

Updated share.

application/json
  1. response
data*
Example Request
curl -X PUT 'https://your-instance.example/api/v1/shares/1' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "data": {    "slug": "string",    "expiresAt": "2019-08-24T14:15:22Z",    "showMap": true,    "showStats": true,    "showFlightList": true,    "dateFrom": "string",    "dateTo": "string",    "showFlightNumbers": true,    "showAirlines": true,    "showAircraft": true,    "showTimes": true,    "showTracks": true,    "showDates": true,    "showSeat": true,    "id": 0,    "createdAt": "2019-08-24T14:15:22Z"  }}